#!/bin/sh

echo init_no_reset display > /proc/vceb/display/vceb_init

#disable VCEB and load an VMCS-X image
if [ -z $1 ]; then
	vmcs_binary=/vc03/bin/vmcs_all.bin
else
	vmcs_binary=$1
fi
echo $vmcs_binary display > /proc/vceb/display/vceb_download

#connect the bus driver
echo "connect" > /proc/vc/display/vchiq_control

#start the file service
/system/xbin/filesrv &

#start the hostreq service
/system/xbin/hostreq_srv &

#set up the vlls dir
/system/xbin/gencmd set_vll_dir /vc03/vlls

#enable fps display
/system/xbin/gencmd fps_display 1

